<?php

header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Headers: *');

require '../../modelo/conexion.php';
require '../../modelo/datos_contacto.php';
require '../../modelo/red_social.php';

$response = array();

$datos_contacto = DatosContacto::mdlGetAllDatosContacto();

if (!$datos_contacto) {
    $response['response'] = 'error';
    $response['message'] = 'No se encontraron datos_contacto';
    echo json_encode($response);
    return;
}

$new_datos_contacto = array();
$new_datos_contacto['correo'] = $datos_contacto[0]['informacion'];
$new_datos_contacto['telefono'] = $datos_contacto[1]['informacion'];

$redes_sociales = RedSocial::mdlGetAllRedesSociales();
$new_datos_contacto['redes_sociales'] = $redes_sociales;

$response['response'] = 'success';
$response['data'] = $new_datos_contacto;

echo json_encode($response);